@import url('https://fonts.googleapis.com/css2?family=Kanit:wght@200;300;400;800&display=swap');

body {
	font-family: 'Kanit', sans-serif;
	background-color: #f0f1f6;
	font-weight: 300;
	font-size: 1.1rem;
}
section {
	width: 100%;
}

#loading .cover {
	width: 100%;
	height: 100%;
	background: gray;
	opacity: 50%;
	z-index: 2000;
	position: fixed;
}
#loading .spinner-border {
	position: fixed;
	top: calc(100vh / 2 - 2.5rem);
	left: calc(100vw / 2 - 2.5rem);
	z-index: 2001;
	width: 5rem;
	height: 5rem;
	border: .25em solid #b8131a;
	border-right-color: transparent;
}

.font-s {
	font-size: 0.9rem;
}

/****** start sidebar section ******/
.sidebar, .sidebar ul, .sidebar li, .sidebar a, .sidebar span {
	padding: 0;
	margin: 0;
}
.sidebar {
	position: fixed;
	background-color: #b8131a;
	z-index: 1;
	padding-top: 50px;
	width: 55px;
	height: calc(100vh);
	border-right: 1px solid rgba(0, 0, 0, 0.1);
	box-shadow: 0px 0px 5px 2px rgba(0, 0, 0, 0.1);
	height: 100%;
}
.sidebar ul {
	list-style: none;
}
.sidebar span {
	display: none;
}
.sidebar:hover {
	width: 300px;
}
.sidebar:hover span {
	display: inline-block;
}
li.nav-item > a {
	color: #fff;
}
.sidebar li.nav-item a img {
	margin: 10px;
	height: 35px;
}
.sidebar li.nav-item:hover span {
	color: #fff;
	text-decoration: underline;
}

.sidebar .nav-item.active {
	background-color: #fff;
	border-radius: 25px;
}
.sidebar li.nav-item.active > a {
	color: #000;
}
.sidebar li.nav-item.active:hover span {
	color: #000;
	text-decoration: underline;
}
.sidebar .nav-item.active > a.menu-user img {
	content: url('../images/user-black.png');
}
/****** end sidebar section ******/

.content {
	margin-left: 55px;
	min-height: 100vh;

}
.content > .container-fluid {
	padding: 25px;
}

.sub-header {
	margin-top: -15px;
    font-size: 1rem;
}

.remark-tooltip {
    color: #b8131a;
    border: none;
    background: transparent;
}

.user-information {
    font-size: 1rem;
    margin: 0 1rem;
    display: flex;
    justify-content: center;
    flex-direction: row;
    position: relative;
}
.user-section {
    text-align: right;
    display: inline-block;
    position: absolute;
    right: 0;
}
.user-section label {
    display: block;
}

form .form-group label {
	font-weight: 400;
	text-align: right;
}
form .item-list .header {
	background-color: #dbdbdb;
	padding-top: 10px;
	padding-bottom: 5px;
}
form .item-list .body .form-group:first-child {
	margin-top: 0.5rem;
}
form .item-list .footer {
	float: right;
}
.form-group {
	margin-bottom: 0.5rem;
}
.form-control {
	padding: 0.3rem 0.7rem;
}

form.select-machine select {
	width: fit-content !important;
	margin-right: 20px;
}
form.select-machine a {
	position: absolute;
	right: 0;
}
img.pic-image {
	max-height: 150px;
	max-width: 150px;
}
/****** start button section ******/
.btn-icon {
	color: #000;
}
.btn-icon:hover {
	color: #d70000;
	cursor: pointer;
}
.btn-icon.disabled, .btn-icon:disabled,
.btn-icon.disabled:hover, .btn-icon:disabled:hover {
	color: darkgray;
}
.btn {
	color: #fff;
	background-color: mediumblue;
	padding: .375rem 2.5rem;
	margin-left: 10px;
}
.btn-primary {
	background-color: #b8131a;
	border: solid 2px #b8131a;
}
.btn-primary:hover, .btn-primary:focus {
	background-color: #d70000;
}
.btn-primary:focus, .btn-primary:not(:disabled):not(.disabled):active {
	border-color: #d70000;
	box-shadow: 0 0 0 0.2rem #d70000;
}
.btn-primary:not(:disabled):not(.disabled):active {
	background-color: #fff;
	font-weight: 500;
	color: #b8131a;
}
.btn-primary.disabled, .btn-primary:disabled {
	background-color: #c26e73;
}
.btn-dismiss {
	background-color: red;
}
.btn.btn-unimportant, .btn-cancel {
	padding: 5px 20px;
	background: #fff;
	color: #b8131a;
	border: solid 2px #b8131a;
}
.btn-unimportant:hover, .btn-unimportant:focus, .btn-cancel:hover, .btn-cancel:focus {
	background-color: #d70000;
	color: #fff;
}
/****** end button section ******/

/****** start tab section ******/
.nav-tabs {
	border-bottom: 1px solid #b8131a;
}
.nav-tabs .nav-link {
	margin-bottom: -1px;
	background: #fff;
	border: 1px solid #dee2e6;
	border-top-left-radius: 0.25rem;
	border-top-right-radius: 0.25rem;
	color: #000;
	border-bottom: 1px solid #b8131a;
}
.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active {
	color: #fff;
	background-color: #b8131a;
}
.tab-content > div {
	background-color: #fff;
	border: solid 1px #b8131a;
	border-top: 0;
	padding: 1rem;
}
/****** end tab section ******/


.error {
	color: red;
}
.error::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: red;
  opacity: 1; /* Firefox */
}
.error:-ms-input-placeholder { /* Internet Explorer 10-11 */
  color: red;
}
.error::-ms-input-placeholder { /* Microsoft Edge */
  color: red;
}
label.error {
	font-weight: 400;
	font-size: 0.75rem;
}


input[type=radio] {
	border: 2px solid black;
	background-color: transparent;
    width: 15%;
    height: 1em;
}
.input-group-icon {
	background: #f0f1f6;
    padding: 0 1.25rem;
    border: 1px solid #ced4da;
    position: relative;
}
.input-group-icon > i {
	margin: 0;
	position: absolute;
	top: 50%;
	left: 50%;
	-ms-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
}
.input-group-show-icon {
    padding: 0 1.25rem;
	border-top: 1px solid #ced4da;
	border-bottom: 1px solid #ced4da;
	border-right: 1px solid #ced4da;
	border-left: 1px solid white;
    position: relative;
}
.input-group-show-icon > i {
	margin: 0;
	position: absolute;
	top: 50%;
	left: 50%;
	-ms-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
}
.fit-content {
	width: 1%;
	white-space:nowrap;
}
.container {
	position: relative;
	text-align: center;
	color: white;
}

.modal button.close {
	padding: 0;
    background-color: transparent;
    border: 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

img.profile-img {
    border: solid 3px;
    padding: 10px;
    border-radius: 50%;
    background: #e3e2e1;
    max-height: 200px;
}